<script setup lang="ts">
import { useStore } from "vuex";
import { computed, ref } from "vue";
import SelectionPlaceholder from "@/components/SelectionPlaceholder.vue";
import SortableList from "@/components/SortableList.vue";

const store = useStore();
const block = ref<HTMLElement | null>(null);
const info = computed(() => store.getters.lineInfo);
const currentLine = computed(() => store.state.activeLine);
const currentStop = computed(() => store.state.activeStop);
</script>

<template>
  <div v-if="currentLine" class="bg-white list-tab">
    <h5>Bus Line: {{ currentLine }}</h5>
    <SortableList
      :data="info"
      :current="currentStop"
      :selectable="true"
      :order="true"
      :sortable="true"
    />
  </div>
  <SelectionPlaceholder
    ref="block"
    v-else
    text="Please select the bus line first"
  />
</template>

<style scoped>
.list-tab {
  padding: 24px 0 0 24px;
  align-items: center;
}
</style>
